Index: /branches/version-2_12-dev/html/install/sql/insert_data.sql
===================================================================
--- /branches/version-2_12-dev/html/install/sql/insert_data.sql	(revision 21916)
+++ /branches/version-2_12-dev/html/install/sql/insert_data.sql	(revision 21920)
@@ -1026,5 +1026,4 @@
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('MASTER_DATA_REALDIR', 'DATA_REALDIR . "cache/"', 27, 'マスターデータキャッシュディレクトリ');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('UPDATE_HTTP', '"http://www.ec-cube.net/info/index.php"', 28, 'アップデート管理用ファイル格納場所');
-INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('LANG_CODE', '"ja"', 38, '言語コード');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('CHAR_CODE', '"UTF-8"', 39, '文字コード');
 INSERT INTO mtb_constants (id, name, rank, remarks) VALUES ('LOCALE', '"ja_JP.UTF-8"', 40, 'ロケール設定');
Index: anches/version-2_12-dev/data/include/plural_forms.inc
===================================================================
--- /branches/version-2_12-dev/data/include/plural_forms.inc	(revision 21916)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<?php
-/**
- * 複数形書式判定用の計算式
- */
-
-return array(
-    'ja' => "nplurals=2; plural=(n!=1);"
-);
Index: /branches/version-2_12-dev/data/mtb_constants_init.php
===================================================================
--- /branches/version-2_12-dev/data/mtb_constants_init.php	(revision 21916)
+++ /branches/version-2_12-dev/data/mtb_constants_init.php	(revision 21920)
@@ -30,6 +30,4 @@
 /** アップデート管理用ファイル格納場所 */
 define('UPDATE_HTTP', "http://www.ec-cube.net/info/index.php");
-/** 言語コード */
-define('LANG_CODE', "ja");
 /** 文字コード */
 define('CHAR_CODE', "UTF-8");
Index: anches/version-2_12-dev/data/class_extends/helper_extends/SC_Helper_Locale_Ex.php
===================================================================
--- /branches/version-2_12-dev/data/class_extends/helper_extends/SC_Helper_Locale_Ex.php	(revision 21916)
+++ 	(revision )
@@ -1,37 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once CLASS_REALDIR . 'helper/SC_Helper_Locale.php';
-
-/**
- * ローカリゼーション関係のヘルパークラス(拡張).
- *
- * SC_Helper_Locale をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Helper
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class SC_Helper_Locale_Ex extends SC_Helper_Locale {
-}
Index: /branches/version-2_12-dev/data/class/SC_CartSession.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CartSession.php	(revision 21919)
+++ /branches/version-2_12-dev/data/class/SC_CartSession.php	(revision 21920)
@@ -531,5 +531,5 @@
             if (SC_Utils_Ex::isBlank($product) || $product['status'] != 1) {
                 $this->delProduct($arrItem['cart_no'], $productTypeId);
-                $tpl_message .= SC_Utils_Ex::t('SC_CARTSESSION_CHECKPRODUCTS_UNABLE');
+                $tpl_message .= "※ 現時点で販売していない商品が含まれておりました。該当商品をカートから削除しました。\n";
             } else {
 
@@ -539,5 +539,6 @@
                 $arrDeliv = SC_Helper_Purchase_Ex::getDeliv($productTypeId);
                 if (SC_Utils_Ex::isBlank($arrDeliv)) {
-                    $tpl_message .= SC_Utils_Ex::t('SC_CARTSESSION_CHECKPRODUCTS_UNDELIVERABLE', array(':product' => $product['name']));
+                    $tpl_message .= '※「' . $product['name'] . '」はまだ配送の準備ができておりません。';
+                    $tpl_message .= '恐れ入りますがお問い合わせページよりお問い合わせください。' . "\n";
                     $this->delProduct($arrItem['cart_no'], $productTypeId);
                 }
@@ -552,8 +553,9 @@
                         $total_inctax = SC_Helper_DB_Ex::sfCalcIncTax($arrItem['price']) * $limit;
                         $this->setProductValue($arrItem['id'], 'total_inctax', $total_inctax, $productTypeId);
-                        $tpl_message .= SC_Utils_Ex::t('SC_CARTSESSION_CHECKPRODUCTS_LIMIT', array(':product' => $product['name'], ':limit' => $limit));
+                        $tpl_message .= '※「' . $product['name'] . '」は販売制限(または在庫が不足)しております。';
+                        $tpl_message .= "一度に数量{$limit}を超える購入はできません。\n";
                     } else {
                         $this->delProduct($arrItem['cart_no'], $productTypeId);
-                        $tpl_message .= SC_Utils_Ex::t('SC_CARTSESSION_CHECKPRODUCTS_SOLDOUT', array(':product' => $product['name']));
+                        $tpl_message .= '※「' . $product['name'] . "」は売り切れました。\n";
                         continue;
                     }
Index: anches/version-2_12-dev/data/class/helper/SC_Helper_Locale.php
===================================================================
--- /branches/version-2_12-dev/data/class/helper/SC_Helper_Locale.php	(revision 21916)
+++ 	(revision )
@@ -1,173 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2011 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-require DATA_REALDIR . 'module/Locale/streams.php';
-require DATA_REALDIR . 'module/Locale/gettext.php';
-
-/**
- * ローカリゼーション関係のヘルパークラス.
- * 主に static 参照する関数群.
- *
- * @package Helper
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class SC_Helper_Locale {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * メッセージの一覧から、エイリアスに対応する文字列を返す.
-     *
-     * @param string $string メッセージエイリアス
-     * @param string $lang_code 言語コード
-     * @param integer $device_type_id 端末種別ID
-     * @return string エイリアスに対応する文字列
-     */
-    function get_locale($string, $lang_code = LANG_CODE, $device_type_id = DEVICE_TYPE_PC) {
-        // 指定言語の文字列一覧を取得する
-        $translations = SC_Helper_Locale_Ex::get_translations($lang_code, $device_type_id);
-        // エイリアスに対応する文字列が存在するかどうか
-        if (isset($translations[$string])) {
-            return $translations[$string];
-        }
-        else {
-            return $string;
-        }
-    }
-
-    /**
-     * 指定言語の文字列一覧を取得する
-     *
-     * @param string $lang_code 言語コード
-     * @param integer $device_type_id 端末種別ID
-     * @return array 文字列一覧
-     */
-    function get_translations($lang_code = LANG_CODE, $device_type_id = DEVICE_TYPE_PC) {
-        static $translations;
-
-        // 指定言語の文字列がまだ読み込まれていない場合
-        if (empty($translations[$lang_code][$device_type_id])) {
-            $translations[$lang_code][$device_type_id] = array();
-
-            // 読み込むロケールファイルの一覧を取得
-            $file_list = SC_Helper_Locale_Ex::get_locale_file_list($lang_code, $device_type_id);
-
-            // ロケールファイル毎に、php_gettextを利用して文字列を取得する
-            foreach ($file_list as $locale_file) {
-                $stream = new FileReader($locale_file);
-                $gettext = new gettext_reader($stream);
-
-                $gettext->load_tables();
-                $translations[$lang_code][$device_type_id] = array_merge($translations[$lang_code][$device_type_id], $gettext->cache_translations);
-            }
-        }
-
-        return $translations[$lang_code][$device_type_id];
-    }
-
-    /**
-     * ロケールファイルの一覧を取得する
-     *
-     * @param string $lang_code 言語コード
-     * @param integer $device_type_id 端末種別ID
-     * @return array ファイル一覧
-     */
-    function get_locale_file_list($lang_code = LANG_CODE, $device_type_id = DEVICE_TYPE_PC) {
-        $file_list = array();
-
-        // コアのロケールファイルのパスを作成
-        $core_locale_path = DATA_REALDIR . "locales/$lang_code.mo";
-        // 指定言語のロケールファイルが存在すればファイル一覧に追加
-        if (file_exists($core_locale_path)) {
-            $file_list[] = $core_locale_path;
-        }
-
-        // 有効なプラグインを取得
-        $arrPluginDataList = SC_Plugin_Util_Ex::getEnablePlugin();
-        // pluginディレクトリを取得
-        $arrPluginDirectory = SC_Plugin_Util_Ex::getPluginDirectory();
-        foreach ($arrPluginDataList as $arrPluginData) {
-            // プラグイン本体ファイル名が取得したプラグインディレクトリ一覧にある事を確認
-            if (array_search($arrPluginData['plugin_code'], $arrPluginDirectory) !== false) {
-                // プラグインのロケールファイルのパスを作成
-                $plugin_locale_path = PLUGIN_UPLOAD_REALDIR . $arrPluginData['plugin_code'] . "/locales/$lang_code.mo";
-                // 指定言語のロケールファイルが存在すればファイル一覧に追加
-                if (file_exists($plugin_locale_path)) {
-                    $file_list[] = $plugin_locale_path;
-                }
-            }
-        }
-
-        // テンプレートのロケールファイルのパスを作成
-        $template_locale_path = HTML_REALDIR . SC_Helper_PageLayout_Ex::getUserDir($device_type_id, true) . "locales/$lang_code.mo";
-        // 指定言語のロケールファイルが存在すればファイル一覧に追加
-        if (file_exists($template_locale_path)) {
-            $file_list[] = $template_locale_path;
-        }
-
-        return $file_list;
-    }
-
-    /**
-     * 適切な複数形の書式を判定する
-     *
-     * @param integer $count 数値
-     * @param string $lang_code 言語コード
-     * @return integer インデックス
-     */
-    function get_plural_index($count, $lang_code = LANG_CODE) {
-        // 計算式を取得
-        $string = SC_Helper_Locale_Ex::get_plural_forms($lang_code);
-        $string = str_replace('nplurals', "\$total", $string);
-        $string = str_replace("n", $count, $string);
-        $string = str_replace('plural', "\$plural", $string);
-
-        $total = 0;
-        $plural = 0;
-
-        eval("$string");
-        if ($plural >= $total) $plural = $total - 1;
-
-        return $plural;
-    }
-
-    /**
-     * 適切な複数形の書式判定に使用する計算式を取得する
-     *
-     * @param string $lang_code 言語コード
-     * @return string 計算式
-     */
-    function get_plural_forms($lang_code = LANG_CODE) {
-        static $plural_forms;
-
-        // 書式が読みこまれていない場合はファイルから一覧を読み込む
-        if(empty($plural_forms)){
-            $plural_forms = @include_once DATA_REALDIR . "include/plural_forms.inc";
-        }
-
-        // 書式が無い場合は、日本語用のものをデフォルトで返す
-        return (isset($plural_forms[$lang_code])) ? $plural_forms[$lang_code] : "nplurals=2; plural=(n!=1);";
-    }
-}
Index: /branches/version-2_12-dev/data/class/SC_FormParam.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_FormParam.php	(revision 21917)
+++ /branches/version-2_12-dev/data/class/SC_FormParam.php	(revision 21920)
@@ -129,13 +129,13 @@
 
             if ($find) {
-                $this->html_disp_name[$index] = SC_Utils_Ex::t('SC_FORMPARAM_SETHTMLDISPNAMEARRAY_REQUIRED', array(':name' => $this->disp_name[$index]));
+                $this->html_disp_name[$index] = $this->disp_name[$index] . '<span class="red">(※ 必須)</span>';
             } else {
                 $this->html_disp_name[$index] = $this->disp_name[$index];
             }
             if ($this->arrDefault[$key] != '') {
-                $this->html_disp_name[$index] .= SC_Utils_Ex::t('SC_FORMPARAM_SETHTMLDISPNAMEARRAY_DEFAULT', array(':default' => $this->arrDefault[$key]));
+                $this->html_disp_name[$index] .= ' [省略時初期値: ' . $this->arrDefault[$key] . ']';
             }
             if ($this->input_db[$index] == false) {
-                $this->html_disp_name[$index] .= SC_Utils_Ex::t('SC_FORMPARAM_SETHTMLDISPNAMEARRAY_PROTECTED');
+                $this->html_disp_name[$index] .= ' [登録・更新不可] ';
             }
         }
@@ -226,5 +226,5 @@
                     case 'FILE_EXISTS':
                         if ($value != '' && !file_exists($this->check_dir . $value)) {
-                            $arrErr[$key] = SC_Utils_Ex::t('SC_FORMPARAM_CHECKERROR_FILE_EXISTS', array(':name' => $this->disp_name[$index]));
+                            $arrErr[$key] = '※ ' . $this->disp_name[$index] . 'のファイルが存在しません。<br>';
                         }
                         break;
@@ -232,9 +232,9 @@
                     case 'DOWN_FILE_EXISTS':
                         if ($value != '' && !file_exists(DOWN_SAVE_REALDIR . $value)) {
-                            $arrErr[$key] = SC_Utils_Ex::t('SC_FORMPARAM_CHECKERROR_FILE_EXISTS', array(':name' => $this->disp_name[$index]));
+                            $arrErr[$key] = '※ ' . $this->disp_name[$index] . 'のファイルが存在しません。<br>';
                         }
                         break;
                     default:
-                        $arrErr[$key] = SC_Utils_Ex::t('SC_FORMPARAM_CHECKERROR_DEFAULT', array(':function' => $func));
+                        $arrErr[$key] = "※※　エラーチェック形式($func)には対応していません　※※ <br>";
                         break;
                 }
Index: /branches/version-2_12-dev/data/class/SC_CheckError.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CheckError.php	(revision 21916)
+++ /branches/version-2_12-dev/data/class/SC_CheckError.php	(revision 21920)
@@ -71,5 +71,5 @@
         $html_diff_tag_list = implode(', ', $arrDiffTag);
 
-        $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_HTML_TAG_CHECK', array(':field' => $value[0], ':tag' => $html_diff_tag_list));
+        $this->arrErr[$value[1]] = '※ ' . $value[0] . 'に許可されていないタグ ' . $html_diff_tag_list . ' が含まれています。<br />';
     }
 
@@ -87,7 +87,7 @@
         $this->createParam($value);
         if (!is_array($this->arrParam[$value[1]]) && strlen($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_EXIST_CHECK_INPUT', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が入力されていません。<br />';
         } else if (is_array($this->arrParam[$value[1]]) && count($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_EXIST_CHECK_SELECT', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が選択されていません。<br />';
         }
     }
@@ -106,5 +106,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[0]]) == 0) {
-            $this->arrErr[$value[0]] = SC_Utils_Ex::t('SC_CHECKERROR_EXIST_CHECK_REVERSE', array(':field' => $value[1]));
+            $this->arrErr[$value[0]] = '※ ' . $value[0] . 'が入力されていません。<br />';
         }
     }
@@ -123,5 +123,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/^[ 　\t\r\n]+$/", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_SPTAB_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'にスペース、タブ、改行のみの入力はできません。<br />';
         }
     }
@@ -140,5 +140,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/[　 \t\r\n]+/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_NO_SPTAB', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'にスペース、タブ、改行は含めないで下さい。<br />';
         }
     }
@@ -151,5 +151,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) != 0 && preg_match("/^[0]+[0-9]+$/", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_ZERO_START', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'に0で始まる数値が入力されています。<br />';
         }
     }
@@ -168,5 +168,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) == 0) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_SELECT_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が選択されていません。<br />';
         }
     }
@@ -186,5 +186,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] !== $this->arrParam[$value[3]]) {
-            $this->arrErr[$value[2]] = SC_Utils_Ex::t('SC_CHECKERROR_EQUAL_CHECK', array(':field_1st' => $value[0], ':field_2nd' => $value[1]));
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'と' . $value[1] . 'が一致しません。<br />';
         }
     }
@@ -204,5 +204,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] == $this->arrParam[$value[3]]) {
-            $this->arrErr[$value[2]] = SC_Utils_Ex::t('SC_CHECKERROR_DIFFERENT_CHECK', array(':field_1st' => $value[0], ':field_2nd' => $value[1]));
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'と' . $value[1] . 'は、同じ値を使用できません。<br />';
         }
     }
@@ -222,5 +222,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[2]] != '' && $this->arrParam[$value[3]] != '' && ($this->arrParam[$value[2]] > $this->arrParam[$value[3]])) {
-            $this->arrErr[$value[2]] = SC_Utils_Ex::t('SC_CHECKERROR_GREATER_CHECK', array(':field_1st' => $value[0], ':field_2nd' => $value[1]));
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'は' . $value[1] . 'より大きい値を入力できません。<br />';
         }
     }
@@ -240,5 +240,5 @@
         // 文字数の取得
         if (mb_strlen($this->arrParam[$value[1]]) > $value[2]) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_MAX_LENGTH_CHECK', array(':field' => $value[0], ':length' => $value[2]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は' . $value[2] . '字以下で入力してください。<br />';
         }
     }
@@ -258,5 +258,5 @@
         // 文字数の取得
         if (mb_strlen($this->arrParam[$value[1]]) < $value[2]) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t_plural($value[2], 'SC_CHECKERROR_MIN_LENGTH_CHECK_SINGLE', 'SC_CHECKERROR_MIN_LENGTH_CHECK_PLURAL', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は' . $value[2] . '字以上で入力してください。<br />';
         }
     }
@@ -276,5 +276,5 @@
         // 文字数の取得
         if ($this->arrParam[$value[1]] > $value[2]) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_MAX_CHECK', array(':field' => $value[0], ':length' => $value[2]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は' . $value[2] . '以下で入力してください。<br />';
         }
     }
@@ -293,5 +293,5 @@
         $this->createParam($value);
         if ($this->arrParam[$value[1]] < $value[2]) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t_plural($value[2], 'SC_CHECKERROR_MIN_CHECK_SINGLE', 'SC_CHECKERROR_MIN_CHECK_PLURAL', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は' . $value[2] . '以上で入力してください。<br />';
         }
     }
@@ -310,5 +310,5 @@
         $this->createParam($value);
         if ($this->numelicCheck($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_NUM_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は数字で入力してください。<br />';
         }
     }
@@ -327,5 +327,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !is_numeric($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_NUM_POINT_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は数字で入力してください。<br />';
         }
     }
@@ -337,5 +337,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !ctype_alpha($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_ALPHA_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は半角英字で入力してください。<br />';
         }
     }
@@ -372,5 +372,5 @@
         // すべての項目が満たされていない場合を判定(一部だけ入力されている状態)
         if ($cnt > 0 && $cnt < 3) {
-            $this->arrErr[$value[1]] .= SC_Utils_Ex::t('SC_CHECKERROR_TEL_CHECK_EXIST', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] .= '※ ' . $value[0] . 'はすべての項目を入力してください。<br />';
         }
 
@@ -378,7 +378,7 @@
         for ($i = 1; $i <= 3; $i++) {
             if (strlen($this->arrParam[$value[$i]]) > 0 && strlen($this->arrParam[$value[$i]]) > $telItemLen) {
-                $this->arrErr[$value[$i]] .= SC_Utils_Ex::t('SC_CHECKERROR_TEL_CHECK_MAX_LENGTH', array(':field' => $value[0] . $i, ':length' => $telItemLen));
+                $this->arrErr[$value[$i]] .= '※ ' . $value[0] . $i . 'は' . $telItemLen . '字以内で入力してください。<br />';
             } else if ($this->numelicCheck($this->arrParam[$value[1]])) {
-                $this->arrErr[$value[$i]] .= SC_Utils_Ex::t('SC_CHECKERROR_TEL_CHECK_NUM', array(':field' => $value[0] . $i));
+                $this->arrErr[$value[$i]] .= '※ ' . $value[0] . $i . 'は数字で入力してください。<br />';
             }
             $total_count += strlen($this->arrParam[$value[$i]]);
@@ -387,5 +387,5 @@
         // 合計値チェック
         if ($total_count > $telLen) {
-            $this->arrErr[$value[3]] .= SC_Utils_Ex::t('SC_CHECKERROR_TEL_CHECK_SUM', array(':field' => $value[0], ':length' => $telLen));
+            $this->arrErr[$value[3]] .= '※ ' . $value[0] . 'は' . $telLen . '文字以内で入力してください。<br />';
         }
     }
@@ -415,5 +415,5 @@
 
         if ($blank) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_FULL_EXIST_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が入力されていません。<br />';
         }
     }
@@ -446,5 +446,5 @@
 
         if ($blank && $input) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_ALL_EXIST_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はすべての項目を入力して下さい。<br />';
         }
     }
@@ -474,5 +474,5 @@
 
         if (!$input) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_ONE_EXIST_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が入力されていません。<br />';
         }
     }
@@ -508,5 +508,5 @@
 
         if ($error) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_TOP_EXIST_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は先頭の項目から順番に入力して下さい。<br />';
         }
     }
@@ -521,5 +521,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[ァ-ヶｦ-ﾟー]+$/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_KANA_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はカタカナで入力してください。<br />';
         }
     }
@@ -534,5 +534,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^([　 \t\r\n]|[ァ-ヶ]|[ー])+$/u", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_KANABLANK_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はカタカナで入力してください。<br />';
         }
     }
@@ -547,5 +547,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !ctype_alnum($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_ALNUM_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は英数字で入力してください。<br />';
         }
     }
@@ -560,5 +560,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[[:graph:]|[:space:]]+$/i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_GRAPH_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は英数記号で入力してください。<br />';
         }
     }
@@ -570,5 +570,5 @@
         $this->createParam($value);
         if ($this->arrParam[$value[1]] == '0') {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_ZERO_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は1以上を入力してください。<br />';
         }
     }
@@ -585,5 +585,5 @@
         $count = strlen($this->arrParam[$value[1]]);
         if (($count > 0) && $value[2] > $count || $value[3] < $count) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t_plural($value[2], 'SC_CHECKERROR_NUM_RANGE_CHECK_SINGLE', 'SC_CHECKERROR_NUM_RANGE_CHECK_PLURAL', array(':field' => $value[0], ':digit_max' => $value[3]));
+            $this->arrErr[$value[1]] =  "※ $value[0]は$value[2]桁～$value[3]桁で入力して下さい。<br />";
         }
     }
@@ -599,5 +599,5 @@
         $count = strlen($this->arrParam[$value[1]]);
         if (($count > 0) && $count != $value[2]) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t_plural($value[2], 'SC_CHECKERROR_NUM_COUNT_CHECK_SINGLE', 'SC_CHECKERROR_NUM_COUNT_CHECK_PLURAL', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] =  "※ $value[0]は$value[2]桁で入力して下さい。<br />";
         }
     }
@@ -648,5 +648,5 @@
 
         if (!preg_match($regexp, $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_EMAIL_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'の形式が不正です。<br />';
             return;
         }
@@ -667,5 +667,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[a-zA-Z0-9_\.@\+\?-]+$/i",$this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_EMAIL_CHAR_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'に使用する文字を正しく入力してください。<br />';
         }
     }
@@ -679,5 +679,5 @@
         }
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("@^https?://+($|[a-zA-Z0-9_~=:&\?\.\/-])+$@i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_URL_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'を正しく入力してください。<br />';
         }
     }
@@ -699,5 +699,5 @@
                 $param = trim($param);
                 if (long2ip(ip2long($param)) != trim($param) && !empty($param)) {
-                    $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_IP_CHECK', array(':field' => $value[0]));
+                    $this->arrErr[$value[1]] = '※ ' . $value[0] . 'に正しい形式のIPアドレスを入力してください。<br />';
                 }
             }
@@ -727,5 +727,5 @@
         if ($match === false) {
             $str_ext = implode('・', $value[2]);
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_FILE_EXT_CHECK', array(':field' => $value[0], ':ext' => $str_ext));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'で許可されている形式は、' . $str_ext . 'です。<br />';
         }
     }
@@ -750,5 +750,5 @@
 
         if ($this->arrParam[$value[1]] != '' && !file_exists($path)) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_FIND_FILE', array(':path' => $path));
+            $this->arrErr[$value[1]] = '※ ' . $path . 'が見つかりません。<br />';
         }
     }
@@ -763,5 +763,5 @@
         $this->createParam($value);
         if (!($_FILES[$value[1]]['size'] != '' && $_FILES[$value[1]]['size'] > 0)) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_FILE_EXIST_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'をアップロードして下さい。<br />';
         }
     }
@@ -781,5 +781,5 @@
                 $byte = 'MB';
             }
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_FILE_SIZE_CHECK', array(':field' => $value[0], ':size' => $value[2], ':unit' => $byte));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'のファイルサイズは' . $value[2] . $byte . '以下のものを使用してください。<br />';
         }
     }
@@ -794,5 +794,5 @@
         $this->createParam($value);
         if (strlen($_FILES[$value[1]]['name']) > 0 && !preg_match("/^[[:alnum:]_\.-]+$/i", $_FILES[$value[1]]['name'])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_FILE_NAME_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'のファイル名に日本語やスペースは使用しないで下さい。<br />';
         }
     }
@@ -807,5 +807,5 @@
         $this->createParam($value);
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^[[:alnum:]_\.-]+$/i", $this->arrParam[$value[1]]) || preg_match('/[\\]/' ,$this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_FILE_NAME_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'のファイル名に日本語やスペースは使用しないで下さい。<br />';
         }
     }
@@ -825,7 +825,7 @@
             // 年月日のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0)) {
-                $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_DATE_ALL_EXIST', array(':field' => $value[0]));
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はすべての項目を入力して下さい。<br />';
             } else if (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_DATE_PROPER', array(':field' => $value[0]));
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が正しくありません。<br />';
             }
         }
@@ -848,7 +848,7 @@
             // 年月日時のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0 && strlen($this->arrParam[$value[5]]) > 0)) {
-                $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_DATE_ALL_EXIST', array(':field' => $value[0]));
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はすべての項目を入力して下さい。<br />';
             } else if (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_DATE_PROPER', array(':field' => $value[0]));
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が正しくありません。<br />';
             }
         }
@@ -868,7 +868,7 @@
             // 年月日時のどれかが入力されていない。
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0)) {
-                $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_DATE_ALL_EXIST', array(':field' => $value[0]));
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'はすべての項目を入力して下さい。<br />';
             } else if (! checkdate($this->arrParam[$value[2]], 1, $this->arrParam[$value[1]])) {
-                $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_DATE_PROPER', array(':field' => $value[0]));
+                $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が正しくありません。<br />';
             }
         }
@@ -934,8 +934,8 @@
         $error = 0;
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0 || strlen($this->arrParam[$value[4]]) > 0) && ! checkdate($this->arrParam[$value[3]], $this->arrParam[$value[4]], $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_SET_TERM_PROPER', array(':field' => $value[0]));
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[5]]) > 0 || strlen($this->arrParam[$value[6]]) > 0 || strlen($this->arrParam[$value[7]]) > 0) && ! checkdate($this->arrParam[$value[6]], $this->arrParam[$value[7]], $this->arrParam[$value[5]])) {
-            $this->arrErr[$value[5]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_SET_TERM_PROPER', array(':field' => $value[1]));
+            $this->arrErr[$value[5]] = '※ ' . $value[1] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0) &&  (strlen($this->arrParam[$value[5]]) > 0 || strlen($this->arrParam[$value[6]]) > 0 || strlen($this->arrParam[$value[7]]) > 0)) {
@@ -945,5 +945,5 @@
 
             if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[5]] == '') && $date1 > $date2) {
-                $this->arrErr[$value[2]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_SET_TERM_RANGE', array(':start' => $value[0], ':end' => $value[1]));
+                $this->arrErr[$value[2]] = '※ ' .$value[0]. 'と' .$value[1]. 'の期間指定が不正です。<br />';
             }
         }
@@ -985,8 +985,8 @@
         $error = 0;
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0 || strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0) && ! checkdate($this->arrParam[$value[3]], $this->arrParam[$value[4]], $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_SET_TERM_PROPER', array(':field' => $value[0]));
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]]) > 0 || strlen($this->arrParam[$value[11]]) > 0) && ! checkdate($this->arrParam[$value[9]], $this->arrParam[$value[10]], $this->arrParam[$value[8]])) {
-            $this->arrErr[$value[8]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_SET_TERM_PROPER', array(':field' => $value[1]));
+            $this->arrErr[$value[8]] = '※ ' . $value[1] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0 && strlen($this->arrParam[$value[5]]) > 0) &&  (strlen($this->arrParam[$value[8]]) > 0 || strlen($this->arrParam[$value[9]]) > 0 || strlen($this->arrParam[$value[10]]) > 0 || strlen($this->arrParam[$value[11]]) > 0)) {
@@ -996,8 +996,8 @@
 
             if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[8]] == '') && $date1 > $date2) {
-                $this->arrErr[$value[2]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_SET_TERM_RANGE', array(':start' => $value[0], ':end' => $value[1]));
+                $this->arrErr[$value[2]] = '※ ' .$value[0]. 'と' .$value[1]. 'の期間指定が不正です。<br />';
             }
             if ($date1 == $date2) {
-                $this->arrErr[$value[2]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_SET_TERM_RANGE', array(':start' => $value[0], ':end' => $value[1]));
+                $this->arrErr[$value[2]] = '※ ' .$value[0]. 'と' .$value[1]. 'の期間指定が不正です。<br />';
             }
 
@@ -1029,8 +1029,8 @@
         $error = 0;
         if ((strlen($this->arrParam[$value[2]]) > 0 || strlen($this->arrParam[$value[3]]) > 0) && ! checkdate($this->arrParam[$value[3]], 1, $this->arrParam[$value[2]])) {
-            $this->arrErr[$value[2]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_SET_TERM_PROPER', array(':field' => $value[0]));
+            $this->arrErr[$value[2]] = '※ ' . $value[0] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0) && ! checkdate($this->arrParam[$value[5]], 1, $this->arrParam[$value[4]])) {
-            $this->arrErr[$value[4]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_SET_TERM_PROPER', array(':field' => $value[1]));
+            $this->arrErr[$value[4]] = '※ ' . $value[1] . 'を正しく指定してください。<br />';
         }
         if ((strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && (strlen($this->arrParam[$value[4]]) > 0 || strlen($this->arrParam[$value[5]]) > 0))) {
@@ -1040,5 +1040,5 @@
 
             if (($this->arrErr[$value[2]] == '' && $this->arrErr[$value[5]] == '') && $date1 > $date2) {
-                $this->arrErr[$value[2]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_SET_TERM_RANGE', array(':start' => $value[0], ':end' => $value[1]));
+                $this->arrErr[$value[2]] = '※ ' .$value[0]. 'と' .$value[1]. 'の期間指定が不正です。<br />';
             }
         }
@@ -1052,5 +1052,5 @@
         $this->createParam($value);
         if (!is_dir($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_DIR_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ 指定した' . $value[0] . 'は存在しません。<br />';
         }
     }
@@ -1062,5 +1062,5 @@
         }
         if (strlen($this->arrParam[$value[1]]) > 0 && !preg_match("/^\.[^.]+\..+/i", $this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_DOMAIN_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'の形式が不正です。<br />';
         }
     }
@@ -1076,5 +1076,5 @@
         $objMobile = new SC_Helper_Mobile_Ex();
         if (strlen($this->arrParam[$value[1]]) > 0 && !$objMobile->gfIsMobileMailAddress($this->arrParam[$value[1]])) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_MOBILE_EMAIL_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は携帯電話のものではありません。<br />';
         }
     }
@@ -1097,8 +1097,8 @@
         switch ($register_user_flg) {
             case 1:
-                $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_REGIST_CUSTOMER_EMAIL_EXIST', array(':field' => $value[0]));
+                $this->arrErr[$value[1]] .= '※ すでに会員登録で使用されている' . $value[0] . 'です。<br />';
                 break;
             case 2:
-                $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_CHECK_REGIST_CUSTOMER_EMAIL_INTERVAL', array(':field' => $value[0]));
+                $this->arrErr[$value[1]] .= '※ 退会から一定期間の間は、同じ' . $value[0] . 'を使用することはできません。<br />';
                 break;
             default:
@@ -1124,5 +1124,5 @@
         $pattern = '/' . join('|', $prohibitedStr) . '/i';
         if (preg_match_all($pattern, $this->arrParam[$value[1]], $matches)) {
-            $this->arrErr[$value[1]] = SC_Utils_Ex::t('SC_CHECKERROR_PROHIBITED_STR_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は入力できません。<br />';
         }
     }
@@ -1141,5 +1141,5 @@
         $this->createParam($value);
         if ($this->evalCheck($value[1]) === false) {
-            $this->arrErr[$value[0]] = SC_Utils_Ex::t('SC_CHECKERROR_EVAL_CHECK', array(':field' => $value[0]));
+            $this->arrErr[$value[0]] = '※ ' . $value[0] . ' の形式が不正です。<br />';
         }
     }
Index: /branches/version-2_12-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21916)
+++ /branches/version-2_12-dev/data/class/util/SC_Utils.php	(revision 21920)
@@ -1736,68 +1736,4 @@
     }
 
-    /**
-     * メッセージエイリアスを翻訳する.
-     *
-     * @param string $string メッセージエイリアス
-     * @param array $args 置換用のパラメーター
-     * @param array $options オプション
-     * @return string 表示するメッセージ
-     */
-    function t($string, $args = array(), $options = array()) {
-        // 言語コードが指定されていなければ、サイトの言語コードを使用する
-        if (empty($options['lang_code'])) {
-            $options['lang_code'] = LANG_CODE;
-        }
-        // 機種IDが指定されていなければ、機種を判別する
-        if (empty($options['device_type_id'])) {
-            $options['device_type_id'] = SC_Display_Ex::detectDevice();
-        }
-
-        // メッセージエイリアスに対応する、指定言語の文字列を取得
-        $translated = SC_Helper_Locale_Ex::get_locale($string, $options['lang_code'], $options['device_type_id']);
-
-        // パラメーターが指定されていれば、メッセージを置換する
-        if (empty($args)) {
-          return $translated;
-        }
-        else {
-          return strtr($translated, $args);
-        }
-    }
-
-    /**
-     * メッセージエイリアス翻訳の複数形対応.
-     *
-     * @param integer $count 表示する数値
-     * @param string $single メッセージエイリアス（単数）
-     * @param string $plural メッセージエイリアス（複数）
-     * @param array $args 置換用のパラメーター
-     * @param array $options オプション
-     * @return string 表示するメッセージ
-     */
-    function t_plural($count, $single, $plural, $args = array(), $options = array()) {
-        // 置換用のパラメーターに数値を追加
-        $args[':count'] = number_format($count);
-
-        // 言語コードが指定されていなければ、サイトの言語コードを使用する
-        if (empty($options['lang_code'])) {
-            $options['lang_code'] = LANG_CODE;
-        }
-        // 機種IDが指定されていなければ、機種を判別する
-        if (empty($options['device_type_id'])) {
-            $options['device_type_id'] = SC_Display_Ex::detectDevice();
-        }
-
-        // 適切な複数形の書式を判定
-        $index = SC_Helper_Locale_Ex::get_plural_index($count, $options['lang_code']);
-
-        // pluralの文字列はnull文字で結合されている
-        $key = $single . chr(0) . $plural;
-        // メッセージエイリアスに対応する、指定言語の文字列を取得
-        $translated = SC_Helper_Locale_Ex::get_locale($key, $options['lang_code'], $options['device_type_id']);
-        // null文字で分割
-        $list = explode(chr(0), $translated);
-
-        return strtr($list[$index], $args);
-    }
+
 }
Index: anches/version-2_12-dev/data/smarty_extends/function.t_plural.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/function.t_plural.php	(revision 21916)
+++ 	(revision )
@@ -1,57 +1,0 @@
-<?php
-/**
- * Smarty plugin
- * @package Smarty
- * @subpackage plugins
- */
-
-
-/**
- * Smarty {t_plural} plugin
- *
- * Type:     function<br>
- * Name:     t_plural<br>
- * Purpose:  replace message alias to appropriate strings
- * @author pineray 松田光貴 <matsudaterutaka at gmail dot com>
- * @param array
- * @param Smarty
- * @return string
- */
-function smarty_function_t_plural($params, &$smarty) {
-    // 書式判定用の数値が無ければエラーを出力
-    if (empty($params['counter'])) {
-        $smarty->_trigger_fatal_error("[plugin] parameter 'counter' cannot be empty");
-        return;
-    }
-    $counter = $params['counter'];
-    unset($params['counter']);
-    // 単数形のエイリアスが無ければエラーを出力
-    if (empty($params['single'])) {
-        $smarty->_trigger_fatal_error("[plugin] parameter 'single' cannot be empty");
-        return;
-    }
-    $single = $params['single'];
-    unset($params['single']);
-    // 複数形のエイリアスが無ければエラーを出力
-    if (empty($params['plural'])) {
-        $smarty->_trigger_fatal_error("[plugin] parameter 'plural' cannot be empty");
-        return;
-    }
-    $plural = $params['plural'];
-    unset($params['plural']);
-
-    // オプション用の配列
-    $options = array();
-    // 言語コードの指定があればオプションにセット
-    if (!empty($params['lang_code'])) {
-        $options['lang_code'] = $params['lang_code'];
-        unset($params['lang_code']);
-    }
-    // 機種の指定があればオプションにセット
-    if (!empty($params['device_type_id'])) {
-        $options['device_type_id'] = $params['device_type_id'];
-        unset($params['device_type_id']);
-    }
-
-    return SC_Utils_Ex::t_plural($counter, $single, $plural, $params, $options);
-}
Index: anches/version-2_12-dev/data/smarty_extends/function.t.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/function.t.php	(revision 21916)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<?php
-/**
- * Smarty plugin
- * @package Smarty
- * @subpackage plugins
- */
-
-
-/**
- * Smarty {t} plugin
- *
- * Type:     function<br>
- * Name:     t<br>
- * Purpose:  replace message alias to appropriate strings
- * @author pineray 松田光貴 <matsudaterutaka at gmail dot com>
- * @param array
- * @param Smarty
- * @return string
- */
-function smarty_function_t($params, &$smarty) {
-    // エイリアスが無ければエラーを出力
-    if (empty($params['string'])) {
-        $smarty->_trigger_fatal_error("[plugin] parameter 'string' cannot be empty");
-        return;
-    }
-    $string = $params['string'];
-    unset($params['string']);
-
-    // オプション用の配列
-    $options = array();
-    // 言語コードの指定があればオプションにセット
-    if (!empty($params['lang_code'])) {
-        $options['lang_code'] = $params['lang_code'];
-        unset($params['lang_code']);
-    }
-    // 機種の指定があればオプションにセット
-    if (!empty($params['device_type_id'])) {
-        $options['device_type_id'] = $params['device_type_id'];
-        unset($params['device_type_id']);
-    }
-
-    return SC_Utils_Ex::t($string, $params, $options);
-}
